Bug 1161265 - Button triggered automate actions do not work
Summary: Button triggered automate actions do not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.3.2
Assignee: Aparna Karve
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On: 1160890
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-06 19:37 UTC by Dave Johnson
Modified: 2015-03-23 14:52 UTC (History)
10 users (show)

Fixed In Version: 5.3.2
Doc Type: Bug Fix
Doc Text:
When attempting to use a button on a VM/Instance, that is trying to load a dynamic drop down, a dialog will not display. Added missing route "dynamic_list_refresh" to various controllers. This has now fixed the issue as it displays the dialog correctly and is able to run the method.
Clone Of: 1160890
Environment:
Last Closed: 2015-01-14 19:42:53 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0028 normal SHIPPED_LIVE Important: cfme security, bug fix, and enhancement update 2015-01-15 00:41:27 UTC

Comment 1 CFME Bot 2014-11-10 18:30:36 UTC
New commit detected on cfme/5.3.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=d93dec24d2ac20ac4a5006b277ecde280d10ecce

commit d93dec24d2ac20ac4a5006b277ecde280d10ecce
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Thu Nov 6 13:02:45 2014 -0800
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Mon Nov 10 10:29:31 2014 -0800

    Added missing route "dynamic_list_refresh" to various controllers
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1161265

 vmdb/config/routes.rb                            | 7 +++++++
 vmdb/spec/routing/ems_cloud_routing_spec.rb      | 6 ++++++
 vmdb/spec/routing/ems_cluster_routing_spec.rb    | 6 ++++++
 vmdb/spec/routing/host_routing_spec.rb           | 6 ++++++
 vmdb/spec/routing/storage_routing_spec.rb        | 6 ++++++
 vmdb/spec/routing/vm_cloud_routing_spec.rb       | 6 ++++++
 vmdb/spec/routing/vm_infra_routing_spec.rb       | 6 ++++++
 vmdb/spec/routing/vm_or_template_routing_spec.rb | 6 ++++++
 8 files changed, 49 insertions(+)

Comment 3 Shveta 2015-01-02 23:14:02 UTC
Fixed.
verified in 5.3.2.5.20141218144833_50406a5

Comment 5 errata-xmlrpc 2015-01-14 19:42:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0028.html


Note You need to log in before you can comment on or make changes to this bug.